## LOC Register Events request

LOC Register Events request

## Functions

QmiMessageLocRegisterEventsInput * | qmi_message_loc_register_events_input_new ()
QmiMessageLocRegisterEventsInput * | qmi_message_loc_register_events_input_ref ()
void | qmi_message_loc_register_events_input_unref ()
gboolean | qmi_message_loc_register_events_input_get_event_registration_mask ()
gboolean | qmi_message_loc_register_events_input_set_event_registration_mask ()
QmiMessageLocRegisterEventsOutput * | qmi_message_loc_register_events_output_ref ()
void | qmi_message_loc_register_events_output_unref ()
gboolean | qmi_message_loc_register_events_output_get_result ()
void | qmi_client_loc_register_events ()
QmiMessageLocRegisterEventsOutput * | qmi_client_loc_register_events_finish ()

## Types and Values

| QmiMessageLocRegisterEventsInput
| QmiMessageLocRegisterEventsOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageLocRegisterEventsInput
        ╰── QmiMessageLocRegisterEventsOutput

## Description

## Functions

### qmi_message_loc_register_events_input_new ()

    QmiMessageLocRegisterEventsInput *
    qmi_message_loc_register_events_input_new
                                   (void);

Allocates a new QmiMessageLocRegisterEventsInput.

#### Returns

the newly created QmiMessageLocRegisterEventsInput. The returned value should be freed with `qmi_message_loc_register_events_input_unref()`.

Since: 1.22

### qmi_message_loc_register_events_input_ref ()

    QmiMessageLocRegisterEventsInput *
    qmi_message_loc_register_events_input_ref
                                   (QmiMessageLocRegisterEventsInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocRegisterEventsInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_register_events_input_unref ()

    void
    qmi_message_loc_register_events_input_unref
                                   (QmiMessageLocRegisterEventsInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocRegisterEventsInput. |

Since: 1.22

### qmi_message_loc_register_events_input_get_event_registration_mask ()

    gboolean
    qmi_message_loc_register_events_input_get_event_registration_mask
                                   (QmiMessageLocRegisterEventsInput *self,
                                    QmiLocEventRegistrationFlag *value_event_registration_mask,
                                    GError **error);

Get the 'Event Registration Mask' field from `self` .

#### Parameters

self | a QmiMessageLocRegisterEventsInput. |
value_event_registration_mask | a placeholder for the output QmiLocEventRegistrationFlag, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_register_events_input_set_event_registration_mask ()

    gboolean
    qmi_message_loc_register_events_input_set_event_registration_mask
                                   (QmiMessageLocRegisterEventsInput *self,
                                    QmiLocEventRegistrationFlag value_event_registration_mask,
                                    GError **error);

Set the 'Event Registration Mask' field in the message.

#### Parameters

self | a QmiMessageLocRegisterEventsInput. |
value_event_registration_mask | a QmiLocEventRegistrationFlag. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_register_events_output_ref ()

    QmiMessageLocRegisterEventsOutput *
    qmi_message_loc_register_events_output_ref
                                   (QmiMessageLocRegisterEventsOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocRegisterEventsOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_register_events_output_unref ()

    void
    qmi_message_loc_register_events_output_unref
                                   (QmiMessageLocRegisterEventsOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocRegisterEventsOutput. |

Since: 1.22

### qmi_message_loc_register_events_output_get_result ()

    gboolean
    qmi_message_loc_register_events_output_get_result
                                   (QmiMessageLocRegisterEventsOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageLocRegisterEventsOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.22

### qmi_client_loc_register_events ()

    void
    qmi_client_loc_register_events (QmiClientLoc *self,
                                    QmiMessageLocRegisterEventsInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Register Events request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_loc_register_events_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientLoc. |
input | a QmiMessageLocRegisterEventsInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_loc_register_events_finish ()

    QmiMessageLocRegisterEventsOutput *
    qmi_client_loc_register_events_finish (QmiClientLoc *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_loc_register_events()`.

#### Parameters

self | a QmiClientLoc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_loc_register_events()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageLocRegisterEventsOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_loc_register_events_output_unref()`.

Since: 1.22

## Types and Values

### QmiMessageLocRegisterEventsInput

    typedef struct _QmiMessageLocRegisterEventsInput QmiMessageLocRegisterEventsInput;

The QmiMessageLocRegisterEventsInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageLocRegisterEventsOutput

    typedef struct _QmiMessageLocRegisterEventsOutput QmiMessageLocRegisterEventsOutput;

The QmiMessageLocRegisterEventsOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22